=== vendor/gitlab.com/bosi/decorder/Makefile ===
include project-templates/base.mk

project-templates/base.mk:
	@cp -ar ~/.dotfiles/projects/golang ./project-templates

.env:
	touch .env
