## adsys 0.5

=== debian/changelog ===
adsys (0.5) hirsute; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Add integration tests to cover (all but policy update command):
    - command line parsing and handling
    - interaction between daemon and client
  * Add tests and coverage support for python embedded code to interact with
    samba (ldap AD connection).
  * Create a samba mock to test adsys-gpolist.
  * Add a container to control and tests polkitd with our uninstalled,
    current version in branch .policy file on its own couple of system dbus.
  * Abstract many test helpers in their own function to be more reusable.
  * Code cleanup (races, shutdown handling and other fixes) detected
    via the new tests.
  * CI coverage integration.
  * Various CI fixes on tagged version.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 16 Apr 2021 09:53:07 +0200

adsys (0.4) hirsute; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Disable LTO to fix FTBFS
  * Fix Version test on released package
  * Fix timeout idler race
  * Add tests for logstreamer
  * Misc cleanups

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 01 Apr 2021 10:23:52 +0200

adsys (0.3) hirsute; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Fix namespace in admx files to avoid conflict with Windows one.
  * Special case GDM user as a machine to support login screen configuration
    in both admx and policy daemon side.
  * CI fixes and additions for admx generation and tests. Enable devel (hirsute) series.
  * Multiple gosec fixes.
  * Add missing samba dependencies to packaging
  * Graceful stop handling fixes.
  * Lot of new tests
  * Multiple fixes/races discovered by tests

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 25 Mar 2021 10:58:58 +0100

adsys (0.2) hirsute; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Fix FTBFS due to race:
    - workaround amd64 mkdirall while creating directory for pam module
      integration
    - fix sigchild flag capture, including additional flags on non amd64,
      before restoring them after each samba call to workaround libsamba
      signals override.
  * Fix utf-16 and memory management when .pol windows file are more than 4106
    size long (-8 header bytes > 4096).
  * Fix GPO list order when a policy is enforced
  * Embed GPO list python helper inside the go binary
  * Fix emptying a GPO after setting value doesn’t reset the applied policy
  * Fix multi-lines support while dumping applied policies
  * Internal: rename "default" dconf metadata to "empty" for clarity

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 25 Feb 2021 10:11:13 +0100

adsys (0.1) hirsute; urgency=medium

  * Initial release

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 08 Jan 2021 16:35:16 +0100
