=== debian/control ===
Source: adsys
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-apport,
               dh-golang,
               golang-go (>= 2:1.16~),
               libsmbclient-dev,
               libdbus-1-dev,
               python3,
               python3-samba,
               samba-dsdb-modules,
               libpam0g-dev,
               samba,
               dbus,
Standards-Version: 4.5.1
XS-Go-Import-Path: github.com/ubuntu/adsys
Homepage: https://github.com/ubuntu/adsys
Description: AD SYStem integration
 ADSys is an AD SYStem tool to integrate GPOs with a linux system.
 It allows one to handle machine and users GPOs, mapping them to dconf keys,
 apparmor rules and running scripts at different point in time.


Package: adsys
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         python3-samba,
         samba-dsdb-modules,
         sssd,
         krb5-config,
Description: ${source:Synopsis}
 ${source:Extended-Description}
