=== debian/tests/control ===
# Skip integration tests when building package: they need docker images.
Test-Command: sudo ADSYS_SKIP_INTEGRATION_TESTS=1 go test -v -mod=vendor ./...
Restrictions: allow-stderr
Depends: @builddeps@
