## adsys 0.7.1

=== debian/changelog ===
adsys (0.7.1) impish; urgency=medium

  * Fix user login name when being prefixed by domain (domain\user) or using
    default domain suffix.
  * Relax commands to always normalize to user@domain even if a previous form
    of entry is given
  * Fix pam module to always be loaded for those.
  * All users and machine update should not provide a target
  * Relax rule for hostname length when > 15 characters. Try first real name
    in AD and then fallback to 15 for NETBIOS compatibility if AD is configured
    in such a way.
  * Pull sss connection state dynamically, to switch between online and offline
    mode.
  * Misc smaller fixes in namings and entry permissive mode.
  * Add and adapt unit and integration tests for all the above, including
    docker test container.
  * Fixes for incoming Golang 1.17 tests Name() behaviour change
  * Make some integration tests more stable
  * Refresh policy definition file
  * Update vendored dependency via DEPENDABOT:
    - github.com/fsnotify/fsnotify
    - github.com/godbus/dbus
    - golang.org/x/text
    - google.golang.org/grpc
    - gopkg.in/ini.v1
    - honnef.co/go/tools
  * CI:
    - switch back to hirsute for QA code check, as impish docker images have
      a broken libc.
  * Packaging fixes:
    - Ensure we always build with PIE
    - Fix autopkgtests by not running them as root
    - Ship NOTICE from a vendor dependency as being Apache2 licensed
    - Modernize gbp.conf

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 15 Sep 2021 10:30:27 +0200

adsys (0.7) impish; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Depends on sssd offline status to try fetching the GPOs
    - request to sssd in what status we are in
    - if we are online, do the samba/ldap requests as we used to do, but
      with a contextual timeout.
  * Allow empty ad_server in sssd.conf.
  * Fix dependencies between service and relax adsys-boot retrials.
  * Pam to request machine update if no machine cache is available.a
  * Print N/A when no Active Server was found.
  * Refresh policy definition files
  * Updates to latest release of viper, cobra, protobuf, grpc.
  * Use cobra 2.0 completion.
  * Adapt and add new tests to previous changes
  * Reenable LTO optimization.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 19 Jul 2021 13:01:07 +0200

adsys (0.6) impish; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Add a new status command, returning current user connected, mode, last
    refresh time and applied configuration
  * Add a new doc command, which allows listing the documentation or write a
    specific chapter on the terminal or disk.
  * Add a new debus hidden (system) command, which allows dumping
    adsys-gpolist and (in the future) various multiple debugging tools for a
    specific AD setup
  * Advance CI completion for users, machines and other contextual strings
    (requesting the service for available valid items, based on context).
  * Hook up CI to update online documentation (on github) and local offline
    one in two ways (updating the local doc will update the online one and
    vice-versa)
  * Write the whole documentation for setting up and using adsys
  * Refactor configuration handling and const location
  * Only start machine GPO download on boot (blocking) if we have AD configured
  * Fix pam integration by setting correct linker property
  * Fallback to sssd discovery active AD server
  * Fix GDM dconf keys to use for screen customization
  * New adsysservice to properly shutdown authorizer and move service dbus
    handling
  * Integrate gosec to CI and multiple fixes
  * Serialize adsys-gpolist and admx/adml in binary
  * Misc fixes in listing Active Directory GPO, multiple error cases
    graceful handling and fix some Windows requirements like spec names.
  * Small fixes and error message reformulation
  * Update all dependencies to latest version and hook up Dependabot in CI
  * Multiple CI enhancements
  * Fix for admx generation, allowing pointing at keys not present in a
    release if filtered out
  * Tighten build and package depdencies.
  * Tests:
    - add more configuration for integration tests
    - fix protobuf namespace conflicts
    - multiple refactoring
    - ensure local dbus are properly shutdown
    - fix some racy tests but being more relax on times
    - allow coverage for python code and subprocesses
    - add many new tests, including integration tests
    - replace wharthogs.biz domain by example.com. Thanks Paul Mars

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 21 Jun 2021 14:16:16 +0200
