=== debian/control ===
--- 
+++ 
@@ -32,6 +32,6 @@
          python3-samba,
          samba-dsdb-modules,
          sssd,
-         krb5-config,
+         sssd-dbus,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
