=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,10 @@
 #export DH_VERBOSE = 1
 
 export GOCACHE=$(shell mktemp -d /tmp/gocache-XXXX)
-export GOFLAGS=-ldflags=-X=github.com/ubuntu/adsys/internal/config.Version=$(shell dpkg-parsechangelog -S Version) --mod=vendor
-export DH_GOLANG_INSTALL_EXTRA := internal/policies/ad/admxgen/admx.template internal/policies/ad/admxgen/adml.template
+export GOFLAGS=-ldflags=-X=github.com/ubuntu/adsys/internal/consts.Version=$(shell dpkg-parsechangelog -S Version) --mod=vendor -buildmode=pie
 
 # Install all content to embed
 export DH_GOLANG_INSTALL_ALL := 1
-
-# The package fails to build on duplicate symbols in the archive with LTO enabled
-export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 # Skip integration tests when building package: they need docker images.
 export ADSYS_SKIP_INTEGRATION_TESTS=1
