=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.16~),
+               golang-1.18-go,
                libsmbclient-dev,
                libdbus-1-dev,
                python3,
@@ -34,6 +34,17 @@
          sssd,
          sssd-dbus,
 Recommends: ${misc:Recommends},
-            ubuntu-advantage-desktop-daemon,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
+
+Package: adsys-windows
+Architecture: amd64 arm64
+Built-Using: ${misc:Built-Using},
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
+ .
+ This package contains all the assets and binaries to install
+ on the Active Directory Windows server.
+ The binaries are Windows executables.
