## adsys 0.9.2~22.04.1

=== debian/changelog ===
adsys (0.9.2~22.04.1) jammy-security; urgency=medium

  * No change build due to golang-1.18 update 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 27 Apr 2023 11:41:22 +0530

adsys (0.9.2~22.04) jammy; urgency=medium

  * Backport to jammy

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Aug 2022 11:23:01 +0200
