=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-1.18-go,
+               golang-go (>= 2:1.16~),
                libsmbclient-dev,
                libdbus-1-dev,
                python3,
@@ -34,6 +34,7 @@
          sssd,
          sssd-dbus,
 Recommends: ${misc:Recommends},
+            ubuntu-advantage-desktop-daemon,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
