## adsys 0.9.2~22.04.2

=== debian/changelog ===
adsys (0.9.2~22.04.2) jammy; urgency=medium

  [ Didier Roche ]
  [ Matthew Ruffell ]
  * Fix processing of domain names to correctly parse '-' characters
    when creating valid dbus object paths, enabling domains with
    '-' to work, e.g. "test-example.com". (LP: #2020834)
    - internal/ad/ad.go

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Fri, 26 May 2023 15:52:48 +1200
