## adsys 0.9.2

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 
 # Skip tests that require sudo: they will run as part of autopkgtests
 export ADSYS_SKIP_SUDO_TESTS=1
-
-# Run with Go 1.18
-export PATH := /usr/lib/go-1.18/bin/:$(PATH)
 
 %:
 	dh $@ --buildsystem=golang --with=golang,apport
