## adsys 0.11.0

=== debian/changelog ===
adsys (0.11.0) lunar; urgency=medium

  [ Denison Barbosa ]
  [ Gabriel Nagy ]
  * List Pro policy types in service status output
  * Warn when Pro-only rules are configured
  * Use systemd via D-Bus instead of systemctl commands
  * Add placeholder notes for entry types
  * Add guideline docs to the policy managers
  * Change Ubuntu Advantage to Ubuntu Pro in docs
  * Add system proxy policy manager (LP: #2012371)
  * Update dependencies to latest:
    - github.com/charmbracelet/lipgloss
    - github.com/coreos/go-systemd/v22
    - github.com/fatih/color
    - github.com/golangci/golangci-lint
    - github.com/golang/protobuf
    - golang.org/x/net
    - google.golang.org/grpc
    - google.golang.org/grpc/cmd/protoc-gen-go-grpc
    - google.golang.org/protobuf
  * CI and quality of life changes not impacting package functionality:
    - Bump github actions to latest:
      - actions/setup-go
    - Update Rust related auto update jobs
    - Replace testutils.Setenv with t.Setenv
    - Set up more tests to run in parallel
    - Various test refactors and improvements

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Tue, 04 Apr 2023 19:40:35 +0300

adsys (0.10.1) lunar; urgency=medium

  [ Denison Barbosa ]
  [ Jean-Baptiste Lallement ]
  [ Gabriel Nagy ]
  [ Didier Roche ]
  * Fix erroneous non alternative dependency on package krb5-user
  * Fix a bug in internal/config tests that was causing the autopkgtests to fail
  * Update internal/config to also trigger a reload when config file is
    overwritten
  * Update dependencies to latest:
    - github.com/golangci/golangci-lint
    - github.com/stretchr/testify
  * CI and quality of life changes not impacting package functionality:
    - Bump github actions to latest:
      - peter-evans/create-pull-request
      - actions/download-artifact
    - Addressing some linter issues pointed out by new golangci-lint version

 -- Denison Barbosa <denison.barbosa@canonical.com>  Thu, 02 Mar 2023 09:43:33 -0400

adsys (0.10.0) lunar; urgency=medium

  [ Denison Barbosa ]
  [ Jean-Baptiste Lallement ]
  [ Gabriel Nagy ]
  [ Didier Roche ]
  * Add mount / network shares policy manager
    - this is an Ubuntu Pro feature that allows mounting network shares at a
      user or machine level
    - supported mount types: smb, nfs, and ftp (after installing curlftpfs)
    - supported authentication: anonymous (default), krb5
    - user mounts are handled at login by a Rust binary now shipped with adsys
      Thanks to schopin for the packaging guidance and contributions
    - computer mounts are handled by systemd mount units requiring root
      privileges
  * Add AppArmor policy manager
    - this is an Ubuntu Pro feature that allows enforcing application
      confinement at a user or machine level using AppArmor
    - user policies rely on the libpam-apparmor package which must be
      installed manually
  * Support multiple AD backends and implement Winbind support
    - sssd is still the default backend, but winbind can be opted into through
      the adsys.yaml configuration file
  * Add a --machine / -m flag to adsysctl applied, indicating the policies
    applied to the current machine
  * Expose Ubuntu Pro status in the "status" command
    - status is now fetched dynamically instead of relying on a possibly
      outdated state when updating policies
  * Update scripts manager creation
    - scripts manager now creates both an users and machine directory on
      initialization
  * Fix policy update failing when GPT.INI contains no version key
  * Fix object lookup for users having a FQDN as their hostname
  * Support special characters in domains when parsing sssd configuration
  * Reduce dependencies by excluding CI tools from go.mod
    - tooling-related packages are now vendored in a separate go.mod file,
      allowing for a smaller source package
  * Replace gopkg.in/yaml.v2 with gopkg.in/yaml.v3
    Thanks to Juneezee for the contribution
  * Clean-up packaging scripts related to the user mount handler
    Thanks to liushuyu for the contribution
  * CI and quality of life changes not impacting package functionality:
    - Add golden functionality to testutils
    - Switch to new fsnotify event check syntax
    - Move adsysgpotests to golden generated by testutils
    - Fix test helper permission when making directory RO
    - Rework skipping integration tests
    - Compare golden tree executable permissions
    - Allow running mount_handler tests as part of go test
    - Fix python coverage in integration tests
    - Factorize some coverage testutils functions
    - Refactor tracking and generating coverage files
    - Implement session dbus mock
    - Stabilize integration test coverage
    - Fix set-output GitHub Actions deprecation warning
    - Reuse our utility function for comparing trees
    - Install missing packages for auto-updates workflow
    - Update d/copyright to account for the new Rust dependencies
    - Fix FTBFS on Launchpad introduced by the latest unreleased work
    - Standardize on test case naming and use the previously added testutils
      functions for golden file comparison
  * Update dependencies to latest:
    - github.com/charmbracelet/bubbles
    - github.com/charmbracelet/bubbletea
    - github.com/charmbracelet/glamour
    - github.com/charmbracelet/lipgloss
    - github.com/fatih/color
    - github.com/fsnotify/fsnotify
    - github.com/golangci/golangci-lint
    - github.com/kardianos/service
    - github.com/muesli/termenv
    - github.com/spf13/cobra
    - github.com/spf13/viper
    - github.com/stretchr/testify
    - golang.org/x/net
    - golang.org/x/sys
    - golang.org/x/text
    - google.golang.org/grpc
    - gopkg.in/ini.v1

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Thu, 22 Feb 2023 18:16:25 +0200
