=== debian/control ===
--- 
+++ 
@@ -4,23 +4,28 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
+               dh-cargo,
                dh-golang,
                golang-go (>= 2:1.16~),
                libsmbclient-dev,
                libdbus-1-dev,
+               libglib2.0-dev,
                python3,
                python3-samba,
                samba-dsdb-modules,
                libpam0g-dev,
                samba,
                dbus,
+               libwbclient-dev,
+               apparmor,
 Standards-Version: 4.5.1
 XS-Go-Import-Path: github.com/ubuntu/adsys
+XS-Vendored-Sources-Rust: anyhow@1.0.66, autocfg@1.1.0, bitflags@1.3.2, cfg-expr@0.11.0, cfg-if@1.0.0, futures-channel@0.3.25, futures-core@0.3.25, futures-executor@0.3.25, futures-io@0.3.25, futures-macro@0.3.25, futures-task@0.3.25, futures-util@0.3.25, gio-sys@0.16.3, gio@0.16.7, glib-macros@0.16.3, glib-sys@0.16.3, glib@0.16.7, gobject-sys@0.16.3, heck@0.4.0, itoa@1.0.4, libc@0.2.137, log@0.4.17, once_cell@1.16.0, pin-project-lite@0.2.9, pin-utils@0.1.0, pkg-config@0.3.26, proc-macro-crate@1.2.1, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro2@1.0.47, quote@1.0.21, ryu@1.0.11, serde@1.0.148, serde_derive@1.0.148, serde_json@1.0.89, slab@0.4.7, smallvec@1.10.0, syn@1.0.104, system-deps@6.0.3, thiserror-impl@1.0.37, thiserror@1.0.37, time-core@0.1.0, time-macros@0.2.6, time@0.3.17, toml@0.5.9, unicode-ident@1.0.5, version-compare@0.1.1, version_check@0.9.4, winapi-i686-pc-windows-gnu@0.4.0, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9
 Homepage: https://github.com/ubuntu/adsys
 Description: AD SYStem integration
  ADSys is an AD SYStem tool to integrate GPOs with a linux system.
  It allows one to handle machine and users GPOs, mapping them to dconf keys,
- apparmor rules and running scripts at different point in time.
+ apparmor rules, mounts, proxy settings and running scripts at different points in time.
 
 
 Package: adsys
@@ -31,10 +36,16 @@
          python3,
          python3-samba,
          samba-dsdb-modules,
-         sssd,
-         sssd-dbus,
+         sssd | winbind,
+         sssd | krb5-user,
+         sssd-dbus | winbind,
+         apparmor,
+         cifs-utils,
+         gvfs,
 Recommends: ${misc:Recommends},
             ubuntu-advantage-desktop-daemon,
+Suggests: curlftpfs,
+          ubuntu-proxy-manager,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
