## adsys 0.11.0ubuntu0.1

=== debian/changelog ===
adsys (0.11.0ubuntu0.1) lunar-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 17 Jan 2024 14:59:13 +0530
